package com.tmerclub.cloud.common.product.constant;


/**
 * @author xxw
 * @date 2022/7/13 9:46
 * 供应商品变更类型
 */
public enum SupplierSpuChangeType {
    /**
     * 上架
     */
    PUT_SHELF(1),
    /**
     * 下架
     */
    OFF_SHELF(2),

    /**
     * 代销sku信息变更
     */
    SKU_MSG_CHANGE(3),

    /**
     * 新增sku
     */
    ADD_SKU(4),

    /**
     * 代销spu信息变更
     */
    SPU_MSG_CHANGE(5);

    private final Integer value;

    public Integer value() {
        return value;
    }

    SupplierSpuChangeType(Integer value) {
        this.value = value;
    }
}
